/*
 * Class TYPED_POINTER [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_567 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_567 [] = {0xFF01,568,566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_2_567 [] = {566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_3_567 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_567 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_567 [] = {566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_6_567 [] = {566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_7_567 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_567 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_567 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_567 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_567 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_567 [] = {566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_13_567 [] = {566,200,0xFFFF};
static const EIF_TYPE_INDEX egt_14_567 [] = {0xFF01,214,0xFFFF};
static const EIF_TYPE_INDEX egt_15_567 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_567[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_567), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_567), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_567), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_567), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_567), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_567), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_567), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_567), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_567), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_567), 11137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_567), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_567), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_567), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_567), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11119, 0},
	{EIF_GENERIC(NULL), 11121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11126, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_567), 11127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11128, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11130, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11136, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11138, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11139, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11144, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11145, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_567), -1, 0xFFFFFFFF},
};
void Init567(void)
{
	IDSC(desc_567, 0, 566);
	IDSC(desc_567 + 1, 1, 566);
	IDSC(desc_567 + 32, 39, 566);
	IDSC(desc_567 + 35, 248, 566);
	IDSC(desc_567 + 37, 102, 566);
	IDSC(desc_567 + 60, 10, 566);
}


#ifdef __cplusplus
}
#endif
